      subroutine mygribex( isec0, isec1, isec2, zsec2, isec3, zsec3,
     x                     isec4, zsec4, ipunp, inbuff, ilenb, iword,
     x                     ierr)
C
C     An inteface to Fortran subroutine GRIBEX to get round any
C     problem passing the 'I' character parameter from C to Fortran.
C
      integer isec0, isec1, isec2, isec3,  isec4
      integer ipunp, inbuff, ilenb, iword, ierr
      dimension isec0(*), isec1(*), isec2(*), isec3(*),  isec4(*)
      dimension inbuff(*)

      real zsec2, zsec3, zsec4
      dimension zsec2(*), zsec3(*), zsec4(*)

      call gribex( isec0, isec1, isec2, zsec2, isec3, zsec3, isec4,
     x             zsec4, ipunp, inbuff, ilenb, iword, 'I', ierr)

      return
      end

